local _, private = ...

--[[ Lua Globals ]]
-- luacheck: globals

--[[ Core ]]
local Aurora = private.Aurora
local Skin = Aurora.Skin

function private.FrameXML.RaidFrame()
    Skin.UICheckButtonTemplate(_G.RaidFrameAllAssistCheckButton)
    Skin.UIPanelButtonTemplate(_G.RaidFrameConvertToRaidButton)
    Skin.UIPanelButtonTemplate(_G.RaidFrameRaidInfoButton)

    Skin.DialogBorderDarkTemplate(_G.RaidInfoFrame)
    _G.RaidInfoFrame:SetPoint("TOPLEFT", _G.RaidFrame, "TOPRIGHT", 1, -28)
    _G.RaidInfoDetailHeader:Hide()
    _G.RaidInfoDetailCorner:Hide()

    Skin.UIPanelCloseButton(_G.RaidInfoCloseButton)
    Skin.UIPanelScrollFrameTemplate(_G.RaidInfoScrollFrame)
    _G.RaidInfoScrollFrameTop:Hide()
    _G.RaidInfoScrollFrameBottom:Hide()
end
